.offer {
	padding: 2rem 0;
	@include media-breakpoint-up(xl) {
		padding: 7rem 0 7rem;
		height: 600px;
	}
	&__container {
	
		@include media-breakpoint-up(md) {
			// gap: 2rem;
		}
		@include media-breakpoint-up(xl) {
			// grid-template-columns: auto auto auto auto;
			// gap: 1rem;
			display: flex;
		}
	}
	&__card {
		width: 100%;
		height: 13rem;
		position: relative;
		top: 0;
		margin-bottom: 2rem;
		text-align: center;
		border-radius: 20px;
		box-shadow: 0 0 28px rgba(0, 0, 0, 0.16);
		background-color: #fff;
		transition: 0.4s;
		display: flex;
		flex-direction: column;
		justify-content: space-around;
		align-items: center;
		flex: 1;
		@include media-breakpoint-up(sm) {
			max-width: 14.5rem;
		}
		@include media-breakpoint-up(md) {
			max-width: 20rem;
			height: 20rem;
		}
		@include media-breakpoint-up(lg) {
			max-width: 27rem;
		}
		@include media-breakpoint-up(xl) {
			max-width: 16rem;
			height: auto;
		}
		@include media-breakpoint-up(xxl) {
			max-width: 21rem;
		}
	}
	&__img {
		width: 6rem;
		height: 6rem;
		@include media-breakpoint-up(md) {
			width: 13rem;
			height: 13rem;
		}
	}
	&__card:hover .offer__hidden {
		@include media-breakpoint-up(xl) {
			height: 200px;
		}
	}
	&__card:hover {
		@include media-breakpoint-up(xl) {
			top: -100px;
			margin-bottom: -200px;
		}
	}
	&__link {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
	}
	
	&__img img {
		width: 100%;
		height: 100%;
	}
	&__heading {
		font-size: 0.9rem !important;
		margin: 0.5rem 0 1rem;
		font-weight: bolder !important;
		@include media-breakpoint-up(sm) {
			font-size: 1.2rem !important;
			margin: 0.5rem 0 2rem;
		}
		@include media-breakpoint-up(md) {
			font-size: 1.5rem !important;
			max-width: 15rem;
		}
	}
	&__hidden {
		height: 0;
		overflow: hidden;
		display: flex;
		display: none;
		align-items: center;
		margin-bottom: 3rem;
		transition: .4s;
		@include media-breakpoint-up(xl) {
			display: block;
		}
	}
	&__show-more {
		border-bottom: 0.5rem solid $primary;
		font-size: 0.7rem;
		font-weight: bold;
		text-decoration: none;
		width: 100%;
		position: absolute;
		bottom: 0;
		left: 0;
		letter-spacing: 1.5px;
		color: $primary;
		@include media-breakpoint-up(md) {
			font-size: 0.9em;
		}
		@include media-breakpoint-up(lg) {
			padding-bottom: 0.3rem;
			width: 13rem;
			display: inline;
			left: 50%;
			transform: translateX(-50%);
		}
	}
}
